package contract_request

import (
	"git.sxidc.com/student-physical-examination/contract_lock_sdk/http"
)

type ContractBatchdownloadStatusRequest struct {
	// 【批量操作id】批量操作id 【作用】 用于查询批量下载文件操作的结果，该参数在调用（<docs>/contract/batchdownload</docs>）并选择异步下载后的返回参数中获取
	BatchId string `json:"batchId,omitempty"`
}

func (obj ContractBatchdownloadStatusRequest) GetUrl() string {
	return "/contract/batchdownload/status"
}

func (obj ContractBatchdownloadStatusRequest) GetHttpParameter() *http.HttpParameter {
	parameter := http.NewGetHttpParameter()
	parameter.AddParam("batchId", obj.BatchId)
	return parameter
}
